Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAsyncIO Class Reference
[obsolete]

The QAsyncIO class encapsulates I/O asynchronicity. More...

`#include <qasyncio.h>`

Inherited by QDataSink and QDataSource.

List of all member functions.

## Public Members

- virtual ~QAsyncIO ()
- void connect ( QObject * obj, const char * member )

## Protected Members

- void ready ()

## Detailed Description

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

The QAsyncIO class encapsulates I/O asynchronicity.

The Qt classes for asynchronous input/output provide a simple mechanism to allow large files or slow data sources to be processed without using large amounts of memory or blocking the user interface.

This facility is used in Qt to drive animated images. See QImageConsumer.

## Member Function Documentation

### QAsyncIO::~QAsyncIO ()`[virtual]`

Destroys the async IO object.

### void QAsyncIO::connect ( QObject * obj, const char * member )

Ensures that only one object, obj and function, member, can respond to changes in readiness.

### void QAsyncIO::ready ()`[protected]`

Derived classes should call this when they change from being unready to ready.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.